%define enable_japanese 1

Summary: The shared library for the S-Lang extension language.
Summary(ja): C Ȥ褯ĥ饤֥
Name: slang-j
%define version 1.4.1
Version: %{version}
Release: 5
Copyright: GPL
Group: System Environment/Libraries
Source: ftp://space.mit.edu/pub/davis/slang/v1.4/slang-%{version}.tar.bz2
Patch0: slang-%{version}jp0.patch.gz
Patch1: slang-%{version}jp1.patch
Patch2: slang-j-%{version}.kon.patch
Patch3: slang-j-%{version}.token.patch
Patch4: slang-j-%{version}.slsmg.patch
Patch5: slang-j-%{version}.bol.patch
Url: http://www.s-lang.org/
Buildroot: /var/tmp/slang-j-root

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%description -l ja
S-lang ϡCȤ褯ʸˡΥå١󥿥ץ꥿Ǥ
ȯ顢ץưפȤ߹褦˥ǥ󤵤Ƥޤ
ޤS-lang ѤȡץꥱˤĸΨɤǥХå
ȯǤޤS-lang  C ȻƤޤ顢ɬפˤʤСS-lang 
³C˴ñѴ뤳ȤǤޤ


%package devel
Summary: The static library and header files for development using S-Lang.
Summary(ja): S-Lang ѤȯΤΥƥå饤֥ȥإåե
Group: Development/Libraries
Requires: %{name}

%description devel
This package contains the S-Lang extension language static libraries
and header files which you'll need if you want to develop S-Lang based
applications.  Documentation which may help you write S-Lang based
applications is also included.

Install the slang-devel package if you want to develop applications
based on the S-Lang extension language.

%description devel -l ja
Υѥåˤ S-lang ѤץꥱγȯɬפŪ
饤֥ȥإåե뤬ޤޤƤޤS-lang 򵭽Ҥ
ʤ褦ʥɥȤޤޤƤޤ

⤷ S-lang Ȥäץꥱȯʤ顢Υѥå
󥹥ȡ뤷Ƥ

%changelog
* Thu Sep 28 2000 Mitsuo Hamada <mhamada@redhat.com>
- Bol_char should be NULL for Kon.

* Thu Sep 14 2000 Mitsuo Hamada <mhamada@redhat.com>
- fixed Kondara patch in sltoken.c and slsmg.c

* Thu Sep 13 2000 Mitsuo Hamada <mhamada@redhat.com>
- Kon should be treated as not normal console because kon not support BCE

* Thu Sep  7 2000 Mitsuo Hamada <mhamada@redhat.com>
- Support box char on Kon.

* Sat Aug 12 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese patch from Kondara MNU/Linux

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- added defattr

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- rebuild, FHS stuff

* Fri Apr 28 2000 Bill Nottingham <notting@redhat.com>
- autoconf fix for ia64

* Mon Apr 24 2000 Bill Nottingham <notting@redhat.com>
- update to 1.4.1

* Wed Mar 29 2000 Bill Nottingham <notting@redhat.com>
- fix background color problem with newt

* Thu Mar  2 2000 Bill Nottingham <notting@redhat.com>
- resurrect for the devel tree

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Oct 21 1998 Bill Nottingham <notting@redhat.com>
- libslang.so goes in -devel

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de

* Sat Jun  6 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.2.2 with buildroot.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 18 1998 Erik Troan <ewt@redhat.com>
- rebuilt to find terminfo in /usr/share

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Mon Sep 1 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 0.99.38 (will it EVER go 1.0???)
- all patches removed (all appear to be in this version)

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%prep
%setup -n slang-%{version} -q
%if %{enable_japanese}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%endif

%build
mv autoconf/configure.in .
%configure --includedir=/usr/include/slang-j
make THIS_LIB=%{name} ELF_CFLAGS="-g -fno-strength-reduce -fPIC" elf all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include/%{name}

%makeinstall THIS_LIB=slang-j \
  install_lib_dir=$RPM_BUILD_ROOT/usr/lib \
  install_include_dir=$RPM_BUILD_ROOT/usr/include/slang-j \
  install_doc_dir=$RPM_BUILD_ROOT/usr/doc/slang-j/%{version}/ install-elf

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/lib/libslang-j.so.*

%files devel
%defattr(-,root,root)
%doc doc
/usr/lib/libslang-j.a
/usr/lib/libslang-j.so
/usr/include/slang-j
